import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import { GetChannelRequest, GetChannelResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelCommandInput extends GetChannelRequest {}
export interface GetChannelCommandOutput
  extends GetChannelResponse,
    __MetadataBearer {}
export declare class GetChannelCommand extends $Command<
  GetChannelCommandInput,
  GetChannelCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: GetChannelCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetChannelCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetChannelCommandInput, GetChannelCommandOutput>;
  private serialize;
  private deserialize;
}
